import { DiffFile } from "@git-diff-view/core";
import type { highlighter } from "@git-diff-view/core";
import type { CSSProperties } from "vue";
export declare enum DiffModeEnum {
    Split = 1,
    Unified = 2
}
export declare enum SplitSide {
    old = 1,
    new = 2
}
export type DiffViewProps<T> = {
    data?: {
        oldFile?: {
            fileName?: string | null;
            fileLang?: string | null;
            content?: string | null;
        };
        newFile?: {
            fileName?: string | null;
            fileLang?: string | null;
            content?: string | null;
        };
        hunks: string[];
    };
    extendData?: {
        oldFile?: Record<string, {
            data: T;
        }>;
        newFile?: Record<string, {
            data: T;
        }>;
    };
    diffFile?: DiffFile;
    class?: string;
    style?: CSSProperties;
    registerHighlight?: typeof highlighter.register;
    diffViewMode?: DiffModeEnum;
    diffViewWrap?: boolean;
    diffViewFontSize?: number;
    diffViewHighlight?: boolean;
    diffViewAddWidget?: boolean;
};
export declare const DiffView: (props: DiffViewProps<any> & {
    onOnAddWidgetClick?: (lineNumber: number, side: SplitSide) => any;
}) => any;
